Create an integration
POST
/api/v1/integrations
const url = 'https://renotify.app/api/v1/integrations';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"type":"google_sheets","name":"Customer Sheet","credentials":{"access_token":"token"},"config":{"sync_frequency":"daily"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://renotify.app/api/v1/integrations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "type": "google_sheets", "name": "Customer Sheet", "credentials": { "access_token": "token" }, "config": { "sync_frequency": "daily" } }'Create a new external integration for the current team.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
type
required
The integration type.
string
Example
google_sheetsname
required
The integration name.
string
Example
Customer Sheetcredentials
The credentials required by the integration.
object
Example
{ "access_token": "token"}config
Additional integration configuration.
object
sync_frequency
The sync frequency.
string
Example
dailyfield_mappings
Field mappings from the source system.
Array<string>
Example
[ { "source": "email", "target": "email" }]Example
{ "sync_frequency": "daily"}